Page MenuHomePhabricator

Give error feedback when iDEAL cannot connect to the bank or on other errors
Closed, ResolvedPublic2 Story Points

Description

Steps to reproduce:

This should either redirect you to a bank or present an error. However, we see that the backend is getting a "430900 - no valid provider" error, but the frontend simply refreshes as if nothing is wrong. Instead, we should present an error and also log something loud so that we know the bank is down.

Details

Related Gerrit Patches:
mediawiki/extensions/DonationInterface : deploymentReuse common error display code
mediawiki/extensions/DonationInterface : masterReuse common error display code

Event Timeline

awight created this task.Mar 12 2015, 9:27 PM
awight raised the priority of this task from to Needs Triage.
awight updated the task description. (Show Details)
awight added subscribers: awight, Ejegg.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 12 2015, 9:27 PM

@Pcoombe you usually keep an eye on iDEAL maintenance, right? Any thoughts about this?

I agree this would be great. iDeal outages (whether planned or unplanned) do tend to happen for one bank at a time, without affecting the others.

Definitely, if we could have an actual form error pop up and tell donors there is bank maintenance, that would be great. We try to update donors when we can about outages, but we don't always know when it's happening — and it seems like it's always happening for at least one bank during the campaign.

atgo triaged this task as Medium priority.Mar 13 2015, 11:48 PM
atgo set Security to None.
DStrine added a subscriber: DStrine.Apr 6 2016, 5:51 PM

There is a second case too:

Steps:

  • Fill in all correct information
  • Select a bank and navigate to the bank
  • Hit the back button
  • Attempt to choose another bank
  • Hit continue button

Result:

  • The page seems to reload. One needs to hit the continue button again to progress to the bank

Expected result:

  • hitting the continue button once takes you to the bank right away
awight renamed this task from Give error feedback when iDeal cannot connect to bank to Give error feedback when iDEAL cannot connect to the bank or on other errors.Apr 6 2016, 7:55 PM
awight claimed this task.
awight raised the priority of this task from Medium to High.
awight moved this task from Backlog to Doing on the Fundraising Sprint Ghostbusting board.

Change 282001 had a related patch set uploaded (by Awight):
Reuse common error display code

https://gerrit.wikimedia.org/r/282001

Change 282001 merged by jenkins-bot:
Reuse common error display code

https://gerrit.wikimedia.org/r/282001

Change 282063 had a related patch set uploaded (by Awight):
Reuse common error display code

https://gerrit.wikimedia.org/r/282063

Change 282063 merged by jenkins-bot:
Reuse common error display code

https://gerrit.wikimedia.org/r/282063

awight closed this task as Resolved.Apr 7 2016, 9:53 PM
awight set the point value for this task to 2.Apr 12 2016, 9:58 PM
mmodell removed a subscriber: awight.Jun 22 2017, 9:52 PM